Subject: Re: [PATCH/rfc] gitweb: open files (e.g. indextext.html) in utf8 mode

From: Lea Wiemann <[email-masked]>
Date: Thu, 03 Jul 2008 11:39:38 +0200

Jakub Narebski wrote:
> Second, what is minimal Perl version and Perl configuration (installed
> modules) that support "use open qw(:std :utf8);"?

open is in core (-> corelist), and "qw(:std :utf)" works here with Perl
5.8.8.  Perl 5.6 doesn't have it, but gitweb doesn't support Perl 5.6
anyway (e.g. "binmode STDOUT, ':utf8';" doesn't work with Perl 5.6).  So
it should be fine compatibility-wise.

-- Lea